weka.gui.explorer

## Enum ClustererPanel.TestMode

- java.lang.Object
- - java.lang.Enum<ClustererPanel.TestMode>
  - - weka.gui.explorer.ClustererPanel.TestMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ClustererPanel.TestMode>
  Enclosing class:
    ClustererPanel

      public static enum ClustererPanel.TestMode
      extends java.lang.Enum<ClustererPanel.TestMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASSES_TO_CLUSTERS_EVAL`
    `PERCENTAGE_SPLIT`
    `SUPPLIED_TEST_SET`
    `USE_TRAINING_SET`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClustererPanel.TestMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClustererPanel.TestMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERCENTAGE_SPLIT

          public static final ClustererPanel.TestMode PERCENTAGE_SPLIT

    - #### USE_TRAINING_SET

          public static final ClustererPanel.TestMode USE_TRAINING_SET

    - #### SUPPLIED_TEST_SET

          public static final ClustererPanel.TestMode SUPPLIED_TEST_SET

    - #### CLASSES_TO_CLUSTERS_EVAL

          public static final ClustererPanel.TestMode CLASSES_TO_CLUSTERS_EVAL

  - ### Method Detail

    - #### values

          public static ClustererPanel.TestMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClustererPanel.TestMode c : ClustererPanel.TestMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClustererPanel.TestMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null